Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class BaseElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.BaseElement

public class BaseElement
extends SinglePartElement

A BaseElement object is analogous to an HTML BASE element. It is used in the head portion of an HtmlPage.

A BaseElement supplies a URL for dereferencing relative URLs, that is, a directory-level URL that supplies full path information for relative URLs. A BaseElement also supplies default target information for all or most of the links in the document, which can be overridden by setting the WindowName for a specific link.

Using a BaseElement as a record of the original URL of the document allows you to move the document to a new directory without breaking the relative URLs in the document. If the head portion of the document does not have a BASE element, the browser assumes the base URL to be the one it used to access the document.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WindowName`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`BaseElement()` Constructs an empty BaseElement object.
`BaseElement(java.lang.String src)` Constructs a BaseElement object with the specified source.

Method Summary
`protected java.lang.String` | `getHtmlCode()`
`protected boolean` | `printBody()`
`protected boolean` | `printCR()`
`protected boolean` | `printEndingTag()`
`BaseElement` | `setHref(java.lang.String val)` Sets the URL for a BaseElement.
`BaseElement` | `setTarget(java.lang.String val)` Sets the target window for all or most of the links in a document.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseElement

    public BaseElement()

  Constructs an empty BaseElement object.

### BaseElement

    public BaseElement(java.lang.String src)

  Constructs a BaseElement object with the specified source.

  Parameters:
    `src` - A source link (URL)

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Overrides:
    printEndingTag in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Overrides:
    printBody in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Overrides:
    printCR in class ElementWithAttributes

### setHref

    public BaseElement setHref(java.lang.String val)

  Sets the URL for a BaseElement.

  Parameters:
    `val` - Source (URL) to which relative URLs are referenced
  Returns:
    BaseElement object

### setTarget

    public BaseElement setTarget(java.lang.String val)

  Sets the target window for all or most of the links in a document. The default window name can be overridden by setting the WindowName for a specific link.

  Parameters:
    `val` - Source (URL) to which relative URLs are referenced
  Returns:
    BaseElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD